| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
IDataHandleHolder Class Referenceabstract

`#include <GaudiKernel/IDataHandleHolder.h>`

Inheritance diagram for IDataHandleHolder:
[legend]
Collaboration diagram for IDataHandleHolder:
[legend]

## Public Member Functions
virtual std::vector< Gaudi::DataHandle * > | inputHandles () const =0
virtual std::vector< Gaudi::DataHandle * > | outputHandles () const =0
virtual const DataObjIDColl & | extraInputDeps () const =0
virtual const DataObjIDColl & | extraOutputDeps () const =0
virtual void | acceptDHVisitor (IDataHandleVisitor *) const =0
virtual const DataObjIDColl & | inputDataObjs () const =0
virtual const DataObjIDColl & | outputDataObjs () const =0
virtual void | addDependency (const DataObjID &, const Gaudi::DataHandle::Mode &)=0
| DeclareInterfaceID (IDataHandleHolder, 1, 0)
virtual void | declare (Gaudi::DataHandle &)=0
virtual void | renounce (Gaudi::DataHandle &)=0
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status : StatusCode::code_t { Status::FAILURE = 0, Status::SUCCESS = 1, Status::NO_INTERFACE, Status::VERSMISMATCH, Status::LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

Definition at line 14 of file IDataHandleHolder.h.

## Member Function Documentation

## ◆ acceptDHVisitor()

virtual void IDataHandleHolder::acceptDHVisitor | ( | IDataHandleVisitor * |  | ) | const
| pure virtual

## ◆ addDependency()

virtual void IDataHandleHolder::addDependency | ( | const DataObjID & | ,
|  | const Gaudi::DataHandle::Mode & |
| ) |  |
| pure virtual

## ◆ declare()

virtual void IDataHandleHolder::declare | ( | Gaudi::DataHandle & |  | ) |
| pure virtual

## ◆ DeclareInterfaceID()

IDataHandleHolder::DeclareInterfaceID | ( | IDataHandleHolder | ,
|  | 1 | ,
|  | 0 |
| ) |  |

## ◆ extraInputDeps()

virtual const DataObjIDColl& IDataHandleHolder::extraInputDeps | ( |  | ) | const
| pure virtual

## ◆ extraOutputDeps()

virtual const DataObjIDColl& IDataHandleHolder::extraOutputDeps | ( |  | ) | const
| pure virtual

## ◆ inputDataObjs()

virtual const DataObjIDColl& IDataHandleHolder::inputDataObjs | ( |  | ) | const
| pure virtual

## ◆ inputHandles()

virtual std::vector<Gaudi::DataHandle*> IDataHandleHolder::inputHandles | ( |  | ) | const
| pure virtual

## ◆ outputDataObjs()

virtual const DataObjIDColl& IDataHandleHolder::outputDataObjs | ( |  | ) | const
| pure virtual

## ◆ outputHandles()

virtual std::vector<Gaudi::DataHandle*> IDataHandleHolder::outputHandles | ( |  | ) | const
| pure virtual

## ◆ renounce()

virtual void IDataHandleHolder::renounce | ( | Gaudi::DataHandle & |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IDataHandleHolder.h